Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002379 [JEDI VCL] 02 Installation minor always 2004-12-13 16:14 2004-12-29 16:50
Reporter USchuster View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002379: Personal installation is not possible without enabling {$DEFINE DelphiPersonalEdition} in jvcl.inc / different editions
Description Currently it is not possible to install JVCL for a personal edition without enabling the define DelphiPersonalEdition in jvcl.inc.
Otherwise JvDotNetCtrlsD6D.dpk would include JvDBDotNetControls.pas which needs DBCtrls.pas and JvInspDB will be included in d6per\JvInspectorD6R.dpk.
In order to install JVCL with db stuff in D5 and JVCL without db stuff in D6per you must install in two steps (with and without enabled DelphiPersonalEdition in jvcl.inc).
Additional Information (from thread "D6Per install issues" on 17.11.2004)

Andreas proposal:
-----------------------------------------------------------------------------
Redesign the jvcl.inc file so that it can handle different
settings for different compiler versions.

The first thing that comes to my mind is to have a include file for each
Delphi/BCB version like:

jvcl.inc:
{$IFDEF COMPILER5}
{$I jvcld5.inc}
{$ENDIF COMPILER5}
{$IFDEF COMPILER6}
{$I jvcld6.inc}
{$ENDIF COMPILER6}
{$IFDEF COMPILER7}
{$I jvcld7.inc}
{$ENDIF COMPILER7}

jvcld5.inc:
{ . $DEFINE DelphiPersonalEdition}

jvcld6.inc
{$DEFINE DelphiPersonalEdition}

jvcld7.inc
{ . $DEFINE DelphiPersonalEdition}

-----------------------------------------------------------------------------

my proposal:

add the following lines in Compile.pas to
TJVCLCompiler.CompileTarget should solve it

  if TargetConfig.Target.IsPersonal then
    SetEnvironmentVariable('PERSONALEDITION_OPTION', '-DDELPHIPERSONALEDITION')
  else
    SetEnvironmentVariable('PERSONALEDITION_OPTION', nil);


//the following lines in GenerateUtils.pas::Generate

            if persoTarget <> '' then
            begin
              ApplyTemplateAndSave(...


//could become the following to solve it

            if persoTarget <> '' then
            begin
              TempDefineList := TDefinesList.Create(templatePers);
              try
                for K := 0 to Pred(TempDefineList.Count) do
                  DefinesList.Insert(K,
TDefine.Create(TempDefineList[K].Name, TempDefineList[K].IFDEFs));
                try
                  ApplyTemplateAndSave(
                     path,
                     persoTarget,
                     packages[j],
                     ExtractFileExt(rec.Name),
                     templatePers,
                     xml,
                     templateNamePers,
                     xmlName);
                finally
                  for K := 0 to Pred(TempDefineList.Count) do
                    DefinesList.Delete(0);
                end;
              finally
                TempDefineList.Free;
              end;
            end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005919)
AHUser (developer)
2004-12-18 06:59

For this I must redesign the jvcl.inc. But this can only be done after the RC1 release as the release date is too near for such a global change.
(0006038)
AHUser (developer)
2004-12-29 16:50

RC1 was moved to another date. This is now fixed with the redesigned jvcl.inc

- Issue History
Date Modified Username Field Change
2004-12-13 16:14 USchuster New Issue
2004-12-18 06:57 AHUser Assigned To => AHUser
2004-12-18 06:57 AHUser Status new => acknowledged
2004-12-18 06:59 AHUser Note Added: 0005919
2004-12-29 16:50 AHUser Status acknowledged => resolved
2004-12-29 16:50 AHUser Resolution open => fixed
2004-12-29 16:50 AHUser Note Added: 0006038


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker